/**
 * @file basic_test.ino
 * @author René Bohne
 * @brief Tests if the GEENYmodem is connected to your hardware
 * @date 2020-11-11
 * 
 * @copyright Copyright (c) 2020 René Bohne
 * 
 */
#include <Wire.h>
#include <GEENYmodem.h>

GEENYmodem modem = GEENYmodem();

void setup(void) {
  Serial.begin(115200);
  Serial1.begin(115200);

  while (!Serial) delay(10);
  Serial.println("GEENYmodem test!");

  // Try to initialize!
  if (!modem.begin(Serial1)) {
    Serial.println("Failed to find GEENYmodem");
    while (1) { delay(10); }
  }
  Serial.println("GEENYmodem Found!");

  String mi = modem.getModemInfo();
  Serial.print("Modem Info: ");
  Serial.println(mi);

  Serial.print("Modem IMEI: ");
  Serial.println(modem.getIMEI());


  Serial.print("SIM IMSI: ");
  Serial.println(modem.getIMSI());

  Serial.print("SIM CCID: ");
  Serial.println(modem.getSimCCID());

  

}
void loop() {

}